class AbstractSSHProvider(object):
    def connect(self):
        return NotImplementedError(self.__class__.__name__)

    def execute(self, command):
        return NotImplementedError(self.__class__.__name__)

    def close(self):
        return NotImplementedError(self.__class__.__name__)


class AbstractRequestProvider(object):
    def base_url(self):
        raise NotImplementedError(self.__class__.__name__)

    def send(self, *args, **kwargs):
        raise NotImplementedError(self.__class__.__name__)
